경로 프로젝트 에 대해 게이트웨이가 제공하는 프로젝트 범위 기능 플래그를 반환하며, 프로젝트 를 타겟팅 엔터티로 하여 서버 측에서 평가한 값을 {" 프로젝트 에서 읽기 역할 있는 모든 호출자가 이 내용을 읽을 수 있습니다. 키 설정하다 호환성 표면이 아니며 플래그가 추가되고 폐기되면 변경되므로 없는 키를 자체 기본값 으로 처리합니다.
GET /api/v1/projects/{id}/feature-flags
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/feature-flags' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"flags": {
"additionalProperty1": true,
"additionalProperty2": true
}
}
응답 예시(200)
{
"flags": {
"additionalProperty1": true,
"additionalProperty2": true
}
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}